--Updating old emotehelp command
local function emotehelp(p)	
	local helpString = "\n\129* \128Welcome to the world of emotes! \n"
	helpString = $ .. "\n\131* You can bind emotes to your \130CUSTOM \131buttons:"
	helpString = $ .. " \n\130setemote1 <emote number> \131for \130CUSTOM1\131. \n\130setemote2 <emote number> \131for \130CUSTOM2\131. \n\130setemote3 <emote number> \131for \130CUSTOM3\131.\n\133* Make sure to use the emote's number and not the name!\n"
	helpString = $ .. "\n\136* The custom buttons are located in \132Options \130> \132Control Setup \130> \132Player 1 Controls \130> \132Custom Lua Actions\136.\n\133* \136You can turn emotes off with the command \133emotesoff\136.\n"
	helpString = $ .. "\n\131If you want to go back to getting random emotes then \130setemote(1-3)\135 0\131. \n(Example: \130setemote1\135 0\131)\n"
	helpString = $ .. "\n\131To get the list of emotes, type \130emotelist <1-"..maxEmojiPage()..">\131.\n \n\140KL_emotes-v2.2 created by \130Afroule. \n\140Custom emotes by \131BoiRocket"
	printToPlayer(p, helpString)
end
COM_AddCommand("emotehelp", emotehelp, 0)

--This table has all the names of the emotes from the emote list
--Make sure to put all the names in order.
rawset(_G, "emonametable", {
	[0] = "random",
	[1] = "shadowo",
	[2] = "torture",
	[3] = "4k",
	[4] = "candyman",
	[5] = "stare",
	[6] = "kirbystupid",
	[7] = "coy",
	[8] = "cowboymario",
	[9] = "kekw",
	[10] = "mochaded",
	[11] = "garfieldmiku",
	[12] = "kermitpose",
	[13] = "flushedvineboom",
	[14] = "stonecold",
	[15] = "mochasplat",
	[16] = "bonk",
	[17] = "oshawott",
	[18] = "cool",
	[19] = "amypog",
	[20] = "thumbsup",
	[21] = "drink",
	[22] = "jojogarfield",
	[23] = "souljaboy",
	[24] = "dkdrugs",
	[25] = "seriously",
	[26] = "idkbun",
	[27] = "wewlad",
	[28] = "scaredsonic",
	[29] = "heavy",
	[30] = "heihachi",
	[31] = "drake_no",
	[32] = "excuseme",
	[33] = "rip",
	[34] = "hellatails",
	[35] = "harddk",
	[36] = "picardy",
	[37] = "explodecat",
	[38] = "knuxsass",
	[39] = "gun",
	[40] = "dkvibe",
	[41] = "itsfree",
	[42] = "pog",
	[43] = "warioscream",
	[44] = "flipcat",
	[45] = "notlikethis",
	[46] = "sadanime",
	[47] = "mcchicken",
	[48] = "chair",
	[49] = "gunkirb",
	[50] = "clownjuice",
	[51] = "pogger",
	[52] = "hooray",
	[53] = "blankfrog",
	[54] = "wewsonic",
	[55] = "garfieldgun",
	[56] = "sadwario",
	[57] = "coolstory",
	[58] = "youwhat",
	[59] = "longneck",
	[60] = "gay",
	[61] = "nosmall",
	[62] = "loadingegg",
	[63] = "gg",
	[64] = "harold",
	[65] = "menacing",
	[66] = "lancer",
	[67] = "bnuuystare",
	[68] = "sorry",
	[69] = "youtired",
	[70] = "dkstare",
	[71] = "necoreal",
	[72] = "necofake",
	[73] = "necofloat",
	[74] = "necorarc",
	[75] = "necorun",
	[76] = "necostare",
	[77] = "necoemoji",
	[78] = "kirburger",
	[79] = "candice",
	[80] = "helldolphin",
	[81] = "dededesuprised",
	[82] = "holdup",
	[83] = "hsienko",
	[84] = "urmomlmao",
	[85] = "froglookin",
	[86] = "hungrybox",
	[87] = "privatepenguin",
	[88] = "ps1kazuya",
	[89] = "tposefox",
	[90] = "eggmanmenace",
	[91] = "smallame",
	[92] = "markiplier",
	[93] = "chadtroll",
	[94] = "demoman",
	[95] = "popcornkirby",
	[96] = "roblox",
	[97] = "nouse",
	[98] = "nicecock",
	[99] = "heavysans",
	[100] = "sonicpout",
	[101] = "eyo",
	[102] = "garfieldflushed",
	[103] = "garfieldtroll",
	[104] = "garfielddead",
	[105] = "mikutease",
	[106] = "bitches",
	[107] = "kirbstare",
	[108] = "wahwhat",
	[109] = "hypertiger",
	[110] = "johnbitches",
	[111] = "daytona",
	[112] = "sugarcoat",
	[113] = "smugemoji",
	[114] = "babyemoji",
	[115] = "criticalhit",
	[116] = "aiaistare",
	[117] = "jumpscare",
	[118] = "maiddab",
	[119] = "handmouse",
	[120] = "depresso",
	[121] = "zoomaiai",
	[122] = "chocomilk",
	[123] = "smugwrath",
	[124] = "freddy",
	[125] = "amyexcite",
	[126] = "amywave",
	[127] = "amyglee",
	[128] = "amyhappy",
	[129] = "amypose",
	[130] = "amysuprise",
	[131] = "amyquestion",
	[132] = "amysus",
	[133] = "amywonder",
	[134] = "amymischief",
	[135] = "amyinterest",
	[136] = "amygun",
	[137] = "blazemad",
	[138] = "sonicquestion",
	[139] = "boykisser",
	[140] = "bigsuprise",
	[141] = "vibecheck",
	[142] = "coralpity",
	[143] = "creampissed",
	[144] = "creamhappy",
	[145] = "creamsmug",
	[146] = "creamscared",
	[147] = "creamshy",
	[148] = "creamsad",
	[149] = "creamwait",
	[150] = "cutemaid",
	[151] = "happymaid",
	[152] = "maidpog",
	[153] = "chaosmug",
	[154] = "chaosleep",
	[155] = "chaocry",
	[156] = "chaohappy",
	[157] = "chaopray",
	[158] = "darkchao",
	[159] = "coolshades",
	[160] = "angelemoji",
	[161] = "fishthink",
	[162] = "trolllaugh",
	[163] = "yandere",
	[164] = "chubflushed",
	[165] = "prayemoji",
	[166] = "coolcry",
	[167] = "frustrated",
	[168] = "whyemoji",
	[169] = "wahemoji",
	[170] = "angryemoji",
	[171] = "sadbread",
	[172] = "shrugemoji",
	[173] = "sonichuh",
	[174] = "chisonic",
	[175] = "sonicpeak",
	[176] = "chisonichappy",
	[177] = "smugthink",
	[178] = "sonicthink",
	[179] = "chisonicthink",
	[180] = "sonicbruh",
	[181] = "sonicsmug",
	[182] = "eggmanpog",
	[183] = "eggmanscared",
	[184] = "eggmanlaugh",
	[185] = "eggmanthink",
	[186] = "eggmanworry",
	[187] = "eggmanscream",
	[188] = "penguinbruh",
	[189] = "epic",
	[190] = "tohrushrug",
	[191] = "tohruthumbsup",
	[192] = "kirbcross",
	[193] = "mariostretched",
	[194] = "jslutty",
	[195] = "nice",
	[196] = "nowiiu",
	[197] = "evilpatrick",
	[198] = "kirbsleep",
	[199] = "sadcat",
	[200] = "spongepog",
	[201] = "splatsalt",
	[202] = "bupflushed",
	[203] = "spraybottle",
	[204] = "diddy",
	[205] = "waluigi",
	[206] = "!",
	[207] = "shockedturtle",
	[208] = "cjhuh",
	[209] = "kazuma",
	[210] = "tanglecry",
	[211] = "rouge",
	[212] = "shadowdab",
	[213] = "shadowsmug",
	[214] = "shadowgun",
	[215] = "sliverthink",
	[216] = "sliversmug",
	[217] = "vanilladab",
	[218] = "vanillamad",
	[219] = "chitailsscared",
	[220] = "chitailshappy",
	[221] = "chitailspray",
	[222] = "tailssad",
	[223] = "tailsshock",
	[224] = "chitailswink",
	[225] = "chitailsfacepalm",
	[226] = "tailshappy",
	[227] = "stareyetails",
	[228] = "tailssmile",
	[229] = "tailspog",
	[230] = "looking",
	[231] = "lecough",
	[232] = "luigidance",
	[233] = "dancecat",
	[234] = "spysquat",
	[235] = "necoarc",
	[236] = "carbuncle",
	[237] = "trollsmile",
	[238] = "necodance",
	[239] = "emovibecheck",
	[240] = "firecock",
	[241] = "emofall",
	[242] = "toadspin",
	[243] = "kicking",
	[244] = "therock",
	[245] = "necovibe",
	[246] = "necovanish",
	[247] = "chickennugget",
	[248] = "vibecat",
	[249] = "dklook",
	[250] = "aiaidance",
	[251] = "dogspin",
	[252] = "legostud",
	[253] = "mariobirthday",
	[254] = "hsienkoappear",
	[255] = "motherly",
	[256] = "necorock",
	[257] = "scaredcaught",
	[258] = "saldance",
	[259] = "stevecrouch",
	[260] = "clapping",
	[261] = "doomguy",
	[262] = "necogriddy",
	[263] = "necoaway",
	[264] = "spongebob",
	[265] = "spamton",
	[266] = "taildance",
	[267] = "vibebrick",
	[268] = "brickfight",
	[269] = "spamtonkart",
	[270] = "rosydance",
	[271] = "tantrum",
	[272] = "maidpet",
	[273] = "signbruh",
	[274] = "chaodance",
	[275] = "dkdance",
	[276] = "cuteface",
	[277] = "happydance",
	[278] = "duckdance",
	[279] = "skullsmile",
	[280] = "ggemoji",
	[281] = "ratshake",
	[282] = "isabelle"
})

--Making commands to do the work for the player.
rawset(_G, "setemote1" , CV_RegisterVar({
	name = "setemote1",
	defaultvalue = "0",
	flags = CV_NETVAR|CV_CALL,
	PossibleValue = {MIN = 0, MAX = 283},
	func = function(var)
	for p in players.iterate
		if setemo1.value >= 283 then
			print("\135That isn't a valid emote.")
		end
			
		if setemo1.value >= 0 then
			COM_BufInsertText(p, "emote1 "..emonametable[var.value].."")
		end
	end
end
}))


rawset(_G, "setemo2" , CV_RegisterVar({
	name = "setemote2",
	defaultvalue = "0",
	flags = CV_NETVAR|CV_CALL,
	PossibleValue = {MIN = 0, MAX = 283},
	func = function(var)
	for p in players.iterate
		if setemo2.value >= 283 then
			print("\135That isn't a valid emote.")
		end
			
		if setemo2.value >= 0 then
			COM_BufInsertText(p, "emote2 "..emonametable[var.value].."")
		end
	end
end
}))


rawset(_G, "setemote3" , CV_RegisterVar({
	name = "setemote3",
	defaultvalue = "0",
	flags = CV_NETVAR|CV_CALL,
	PossibleValue = {MIN = 0, MAX = 283},
	func = function(var)
	for p in players.iterate
		if setemo3.value >= 283 then
			print("\135That isn't a valid emote.")
		end
			
		if setemo3.value >= 0 then
			COM_BufInsertText(p, "emote3 "..emonametable[var.value].."")
		end
	end
end
}))