local MapCount = 0
local ResetCount = 0
local StartCount = 0
local PauseCount = 0
local InterCount = 0

freeslot("sfx_smivc", "sfx_pcmpp", "sfx_hcoce", "sfx_lmypl", "sfx_prank", "sfx_mgzat", "sfx_lgrtr", "sfx_swctr") 

rawset(_G, "eventtable", {
	[0] = "Off",
	[1] = "one",
	[2] = "two",
	[3] = "three",
	[4] = "four",
	[5] = "five",
	[6] = "six",
	[7] = "seven",
	[8] = "eight",
	[9] = "nine",
	[10] = "ten",
	[11] = "eleven",
	[12] = "twelve",
	[13] = "thirteen",
	[14] = "fourteen",
	[15] = "fifteen",
	[16] = "sixteen",
	[17] = "seventeen"
})

rawset(_G, "maptable", {
	[0] = "Off",
	[1] = "MAP01",
	[2] = "MAPAL",
	[3] = "MAPN6",
	[4] = "MAPPR",
	[5] = "MAPRO",
	[6] = "MAPFG",
	[7] = "MAPFI",
	[8] = "MAP87",
	[9] = "MAPKP",
	[10] = "MAPMP",
	[11] = "MAPHD",
	[12] = "MAPHM",
	[13] = "MAPH5",
	[14] = "MAPWG",
	[15] = "MAP38",
	[16] = "MAPWW",
	[17] = "MAPFH"
})

rawset(_G, "event" , CV_RegisterVar({
	name = "event",
	defaultvalue = "Off",
	flags = CV_NETVAR|CV_CALL,
	PossibleValue = {Off = 0, one = 1, two = 2, three = 3, four = 4, five = 5, six = 6, seven = 7, eight = 8, nine = 9, ten = 10, eleven = 11, tweleve = 12, thirteen = 13, fourteen = 14, fifteen = 15, sixteen = 16, seventeen = 17},
	func = function(var)
	if (server) then
		if not event.value then
			COM_BufInsertText(server, "xitemdebugitem")
			COM_BufInsertText(server, "xitemdebugrig 0")
			COM_BufInsertText(server, "togglexitem")
			COM_BufInsertText(server, "togglexitem")
			COM_BufInsertText(server, "togglexitem 18")
			COM_BufInsertText(server, "togglexitem 20")
			COM_BufInsertText(server, "togglexitem 32")
			COM_BufInsertText(server, "togglexitem 25")
			COM_BufInsertText(server, "togglexitem 26")
			COM_BufInsertText(server, "togglexitem 27")
			COM_BufInsertText(server, "togglexitem 29")
			COM_BufInsertText(server, "togglexitem 30")
			COM_BufInsertText(server, "xtraspeed 0")
			COM_BufInsertText(server, "elimination off")
			COM_BufInsertText(server, "t_trickspeed 1")
			COM_BufInsertText(server, "combi_active off")
			COM_BufInsertText(server, "ir_enabled off")
			COM_BufInsertText(server, "ir_limit_spb 1")
			COM_BufInsertText(server, "ir_limit 50")
			COM_BufInsertText(server, "technerf 1")
			COM_BufInsertText(server, "fd_hitkill 0")
			COM_BufInsertText(server, "forceskin off")
			print("\135Events are turned \""..eventtable[var.value].."\" now.")
		end
			
		if event.value <= 17 and event.value >= 1 then
			print("\136Event \""..eventtable[var.value].."\" has been selected.")
			if event.value == 5 then 
			COM_BufInsertText(server, "elimination on")
			else
			COM_BufInsertText(server, "elimination off")
			end
			if event.value == 12 then 
			COM_BufInsertText(server, "weathermod on")
			else
			COM_BufInsertText(server, "weathermod off")
			end
			COM_BufInsertText(server, "ir_enabled off")
			COM_BufInsertText(server, "fd_hitkill 0")
			COM_BufInsertText(server, "technerf 1")
			COM_BufInsertText(server, "map "..maptable[var.value].." -gametype race")
		end
	end
end
}))

addHook("MapChange", function()
		if event.value then
			COM_BufInsertText(server, "xitemdebugitem")
			COM_BufInsertText(server, "togglexitem")
			COM_BufInsertText(server, "xtraspeed 0")
			COM_BufInsertText(server, "t_trickspeed 1")
			COM_BufInsertText(server, "combi_active off")
			COM_BufInsertText(server, "forceskin off")
			COM_BufInsertText(server, "xitemdebugrig no")
			PauseCount = 1
		end
		
		if event.value == 1 then 
			COM_BufInsertText(server, "xtraspeed 200")
		end
		
		if event.value == 3 then 
			COM_BufInsertText(server, "forceskin aiai")
		end
		
		if event.value == 6 then 
			COM_BufInsertText(server, "combi_active on")
			COM_BufInsertText(server, "xtraspeed _200cc")
			COM_BufInsertText(server, "ir_enabled on")
			COM_BufInsertText(server, "ir_preset sparkle")
		end
		
		if event.value == 8 then
			COM_BufInsertText(server, "combi_active on")
		end
		
		if event.value == 9 then
			COM_BufInsertText(server, "t_trickspeed 3")
			COM_BufInsertText(server, "xtraspeed _200cc")
		end
		
		if event.value == 10 then
			COM_BufInsertText(server, "fd_hitkill 2")
			
		end
		
		if event.value == 13 then 
			COM_BufInsertText(server, "forceskin tails")
		end
		
		if event.value == 14 then 
			COM_BufInsertText(server, "ir_enabled on")
			COM_BufInsertText(server, "ir_preset soap")
		end
		
		if event.value == 16 then 
			COM_BufInsertText(server, "technerf 2")
			
		end
		
		if event.value == 17 then 
			COM_BufInsertText(server, "ir_enabled on")
			COM_BufInsertText(server, "ir_limit 200")
			COM_BufInsertText(server, "ir_preset glitch")
		end
end)

addHook("MapLoad", function()
	if event.value >= 1 then
		ResetCount = $+1
		StartCount = 0
		if event.value == 1 then
			COM_BufInsertText(server, "togglexitem")
			COM_BufInsertText(server, "togglexitem 18")
			COM_BufInsertText(server, "togglexitem 20")
			COM_BufInsertText(server, "togglexitem 32")
			COM_BufInsertText(server, "togglexitem 25")
			COM_BufInsertText(server, "togglexitem 26")
			COM_BufInsertText(server, "togglexitem 27")
			COM_BufInsertText(server, "togglexitem 29")
			COM_BufInsertText(server, "togglexitem 30")
			COM_BufInsertText(server, "xtraspeed 200")
		end
		
		if event.value == 2 then
			COM_BufInsertText(server, "togglexitem")
			COM_BufInsertText(server, "xitemdebugitem 24") 
			COM_BufInsertText(server, "xitemdebugamount 3")
		end
		
		if event.value == 3 then
			COM_BufInsertText(server, "togglexitem 4")
			COM_BufInsertText(server, "togglexitem 18")
			COM_BufInsertText(server, "togglexitem 19")
		end
		
		if event.value == 4 then
			COM_BufInsertText(server, "togglexitem 8")
			COM_BufInsertText(server, "togglexitem 5")
		end
		
		if event.value == 5 then
			COM_BufInsertText(server, "togglexitem")
			COM_BufInsertText(server, "togglexitem 18")
			COM_BufInsertText(server, "togglexitem 20")
			COM_BufInsertText(server, "togglexitem 32")
			COM_BufInsertText(server, "togglexitem 25")
			COM_BufInsertText(server, "togglexitem 26")
			COM_BufInsertText(server, "togglexitem 27")
			COM_BufInsertText(server, "togglexitem 29")
			COM_BufInsertText(server, "togglexitem 30")
		end
		
		if event.value == 6 then 
			COM_BufInsertText(server, "togglexitem")
			COM_BufInsertText(server, "xitemdebugitem 29")
			COM_BufInsertText(server, "xitemdebugamount 1")
			COM_BufInsertText(server, "xitemdebugrig yes")
		end
		
		if event.value == 7 then
			COM_BufInsertText(server, "togglexitem")
			COM_BufInsertText(server, "xitemdebugitem 24") 
			COM_BufInsertText(server, "xitemdebugamount 5")
		end
		
		if event.value == 8 then
			COM_BufInsertText(server, "togglexitem")
			COM_BufInsertText(server, "togglexitem 18")
			COM_BufInsertText(server, "togglexitem 20")
			COM_BufInsertText(server, "togglexitem 32")
			COM_BufInsertText(server, "togglexitem 25")
			COM_BufInsertText(server, "togglexitem 26")
			COM_BufInsertText(server, "togglexitem 27")
			COM_BufInsertText(server, "togglexitem 29")
			COM_BufInsertText(server, "togglexitem 30")
		end
		
		if event.value == 9 then
			COM_BufInsertText(server, "togglexitem")
			COM_BufInsertText(server, "togglexitem 18")
			COM_BufInsertText(server, "togglexitem 20")
			COM_BufInsertText(server, "togglexitem 32")
			COM_BufInsertText(server, "togglexitem 25")
			COM_BufInsertText(server, "togglexitem 26")
			COM_BufInsertText(server, "togglexitem 27")
			COM_BufInsertText(server, "togglexitem 29")
			COM_BufInsertText(server, "togglexitem 30")
		end
		
		if event.value == 10 then
			COM_BufInsertText(server, "togglexitem 5")
		end
		
		if event.value == 11 then
			COM_BufInsertText(server, "togglexitem 19")
		end
		
		if event.value == 12 then 
			COM_BufInsertText(server, "togglexitem 21")
			COM_BufInsertText(server, "togglexitem 19")
			COM_BufInsertText(server, "togglexitem 8")
			COM_BufInsertText(server, "togglexitem 5")
		end
		
		if event.value == 13 then 
			COM_BufInsertText(server, "togglexitem 20")
			COM_BufInsertText(server, "togglexitem 8")
			COM_BufInsertText(server, "togglexitem 5")
		end
		
		if event.value == 14 then 
			COM_BufInsertText(server, "togglexitem")
			COM_BufInsertText(server, "togglexitem 18")
			COM_BufInsertText(server, "togglexitem 20")
			COM_BufInsertText(server, "togglexitem 32")
			COM_BufInsertText(server, "togglexitem 25")
			COM_BufInsertText(server, "togglexitem 26")
			COM_BufInsertText(server, "togglexitem 27")
			COM_BufInsertText(server, "togglexitem 29")
			COM_BufInsertText(server, "togglexitem 30")
		end
		
		if event.value == 15 then 
			COM_BufInsertText(server, "togglexitem")
			COM_BufInsertText(server, "xitemdebugitem 9")
			COM_BufInsertText(server, "xitemdebugamount 10")
		end
		
		if event.value == 16 then 
			COM_BufInsertText(server, "togglexitem")
			COM_BufInsertText(server, "togglexitem 18")
			COM_BufInsertText(server, "togglexitem 20")
			COM_BufInsertText(server, "togglexitem 32")
			COM_BufInsertText(server, "togglexitem 25")
			COM_BufInsertText(server, "togglexitem 26")
			COM_BufInsertText(server, "togglexitem 27")
			COM_BufInsertText(server, "togglexitem 29")
			COM_BufInsertText(server, "togglexitem 30")
		end
		
		if event.value == 17 then 
			COM_BufInsertText(server, "togglexitem")
			COM_BufInsertText(server, "xitemdebugitem 5")
			COM_BufInsertText(server, "xitemdebugamount 1")
			COM_BufInsertText(server, "ir_limit_spb 5")
		end
		
	end	
end)

local eventauto = CV_RegisterVar({
	name = "eventauto",
	defaultvalue = "Off",
	flags = CV_NETVAR,
	possiblevalue = CV_OnOff
})

local autopause = CV_RegisterVar({
	name = "autopause",
	defaultvalue = "Off",
	flags = CV_NETVAR,
	possiblevalue = CV_OnOff
})

addHook("ThinkFrame", function()
	if eventauto.value and event.value < 1 then
		if StartCount == 0 then
		COM_BufInsertText(server, "event ".. (event.value + 1) .."")
		StartCount = 1
		end 
	end
end)

addHook("IntermissionThinker", function()
		if event.value >= 17 or eventauto.value == 0 and event.value >= 1 then
			if ResetCount >= 1 then
			COM_BufInsertText(server, "event off")
			COM_BufInsertText(server, "eventauto off")
			COM_BufInsertText(server, "autopause off")
			ResetCount = 0
			end
		end
end)

addHook("IntermissionThinker", function()
	if event.value <= 16 and event.value >= 1 then
		MapCount = 1
	end
end)

addHook("IntermissionThinker", function()
	if autopause.value and PauseCount == 1 then
	InterCount = $+1
		if InterCount == 7 then 
		COM_BufInsertText(server, "pause")
		InterCount = 0
		PauseCount = 0
		end
	end
end)


addHook("VoteThinker", function()
		if eventauto.value and event.value <= 16 and event.value >= 1 then
			if MapCount == 1 then
			COM_BufInsertText(server, "event ".. (event.value + 1) .."") 
			MapCount = 0
			PauseCount = 0
			return
		end
	end
end)

addHook("ThinkFrame", do 
	for p in players.iterate do 
        if not event.value then return end
		
			if(leveltime == 2*TICRATE and event.value == 1) then 
				chatprintf(p, "\131* Gay Speed% Speedrun \128- \133Oh no! \133Y\135o\130u\131r \132K\136a\129r\133t \135h\130a\131s \132t\136u\129r\133n\135e\130d \131g\132a\136y\129! \139Make sure to go for the fastest time on Green Hill")
				S_StartSound(nil, sfx_smivc, p)
			end
			
			if(leveltime == 2*TICRATE and event.value == 2) then 
				chatprintf(p, "\130* Checkered Power Pellets? \128- \130Beat your enemies to the goal while dodging the \142checkered power pellets!")
				S_StartSound(nil, sfx_pcmpp, p)
			end
			
			if(leveltime == 2*TICRATE and event.value == 3) then 
				chatprintf(p, "\142* Random Chimp Event \128- \136Welcome Monkeies! \138You will be supplied with an infinite amount of bananas. \130GO BANANAS!")
				S_StartSound(nil, sfx_hcoce, p)
			end
			
			if(leveltime == 2*TICRATE and event.value == 4) then 
				chatprintf(p, "\135* Diverting's House \128- \132This map is a bit different with its pace. \135Once you start going you can't stop, and I should also mention the \133explosives \135around the track\143...\131Good luck!")
				S_StartSound(nil, sfx_lmypl, p)
			end
			
			if(leveltime == 2*TICRATE and event.value == 5) then 
				chatprintf(p, "\128* GO FOR P RANK! - \140Survive this final tower with everyone being \133killed off one by one.")
				S_StartSound(nil, sfx_prank, p)
			end
			
			if(leveltime == 2*TICRATE and event.value == 6) then 
				chatprintf(p, "\136* \133T\135h\130e \131M\132E\136G\129A \133G\135A\130Y \131Z\132O\136N\129E \128- \133S\135p\130e\131e\132d \136i\129s \133t\135h\130e \131n\132a\136m\129e \133o\135f \130t\131h\132e \136g\129a\133m\135e \130b\131u\132t \136a\129r\133e \135y\130o\131u \132f\136a\129s\133t\135e\130r \131t\132h\136a\129n \133a \135s\130p\131e\132e\136d\129i\133n\135g \130b\131u\132l\136l\129e\133t\135?")
				S_StartSound(nil, sfx_mgzat, p)
			end
			
			if(leveltime == 2*TICRATE and event.value == 7) then 
				chatprintf(p, "\136* \131Space Jam: Balls to the walls \128- \130The item boxes below have checkered balls. \133Use these to stop your opponents from getting the \139jelly \133before you.")
				S_StartSound(nil, sfx_lgrtr, p)
			end
			
			if(leveltime == 2*TICRATE and event.value == 8) then 
				chatprintf(p, "\136* You will be tied together with one other person and race to finish.")
				S_StartSound(nil, sfx_swctr, p)
			end
			
			if(leveltime == 2*TICRATE and event.value == 9) then 
				chatprintf(p, "\136* 200cc (or above) is active! \133 Don't forget that you can hold forward to fall faster and hold back to slow your fall")
				S_StartSound(nil, sfx_rbwl, p)
			end
			
			if(leveltime == 2*TICRATE and event.value == 10) then 
				chatprintf(p, "\136* 200cc (or above) is active! \133 Don't forget that you can hold forward to fall faster and hold back to slow your fall")
				S_StartSound(nil, sfx_rbwl, p)
			end
			
			if(leveltime == 2*TICRATE and event.value == 11) then 
				chatprintf(p, "\136* 200cc (or above) is active! \133 Don't forget that you can hold forward to fall faster and hold back to slow your fall")
				S_StartSound(nil, sfx_rbwl, p)
			end
			
			if(leveltime == 2*TICRATE and event.value == 12) then 
				chatprintf(p, "\136* 200cc (or above) is active! \133 Don't forget that you can hold forward to fall faster and hold back to slow your fall")
				S_StartSound(nil, sfx_rbwl, p)
			end
			
			if(leveltime == 2*TICRATE and event.value == 13) then 
				chatprintf(p, "\136* 200cc (or above) is active! \133 Don't forget that you can hold forward to fall faster and hold back to slow your fall")
				S_StartSound(nil, sfx_rbwl, p)
			end
			
			if(leveltime == 2*TICRATE and event.value == 14) then 
				chatprintf(p, "\136* 200cc (or above) is active! \133 Don't forget that you can hold forward to fall faster and hold back to slow your fall")
				S_StartSound(nil, sfx_rbwl, p)
			end
			
			if(leveltime == 2*TICRATE and event.value == 15) then 
				chatprintf(p, "\136* 200cc (or above) is active! \133 Don't forget that you can hold forward to fall faster and hold back to slow your fall")
				S_StartSound(nil, sfx_rbwl, p)
			end
			
			if(leveltime == 2*TICRATE and event.value == 18) then 
				chatprintf(p, "\136* 200cc (or above) is active! \133 Don't forget that you can hold forward to fall faster and hold back to slow your fall")
				S_StartSound(nil, sfx_rbwl, p)
			end
			
			if(leveltime == 3*TICRATE and autopause.value and event.value) then 
				COM_BufInsertText(server, "pause")
			end
		end
	end)

